[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator :=(Tvector4_single): Tvector3_extended

Allow assignment of four-dimensional single precision vector to three-dimensional extended precision vector

## Declaration

Source position: matrix.pp line 337

`operator operator :=(Tvector4_single): Tvector3_extended(`
`const v: Tvector4_single`
`):Tvector3_extended;`

## Description

This operator allows you to use a four-dimensional vector with single precision values wherever a three-dimensional vector with extended precision is expected. The fourth dimension is thrown away.

Documentation generated on: Feb 26 2014